# To contribute improvements to CI/CD templates, please follow the Development guide at:
# https://docs.gitlab.com/ee/development/cicd/templates.html
# This specific template is located at:
# https://gitlab.com/gitlab-org/gitlab/-/blob/master/lib/gitlab/ci/templates/PHP.gitlab-ci.yml

# Select image from https://hub.docker.com/_/php/
image: registry.gitlab.com/ofp-oc-cda/docker-symfony-ci

# Select what we should cache between builds
cache:
  paths:
    - vendor/

before_script:
  - composer install
#  - apt-get update -yqq
#  - apt-get install -yqq git libpq-dev libcurl4-gnutls-dev libicu-dev libvpx-dev libjpeg-dev libpng-dev libxpm-dev zlib1g-dev libfreetype6-dev libxml2-dev libexpat1-dev libbz2-dev libgmp3-dev libldap2-dev unixodbc-dev libsqlite3-dev libaspell-dev libsnmp-dev libpcre3-dev libtidy-dev libonig-dev libzip-dev
#  # Install PHP extensions
#  - docker-php-ext-install mbstring pdo_pgsql curl intl gd xml zip bz2 opcache
#  # Install & enable Xdebug for code coverage reports
#  - pecl install xdebug
#  - docker-php-ext-enable xdebug
#  # Install and run Composer
#  - curl -sS https://getcomposer.org/installer | php
#  - php composer.phar install



# Bring in any services we need http://docs.gitlab.com/ee/ci/docker/using_docker_images.html#what-is-a-service
# See http://docs.gitlab.com/ee/ci/services/README.html for examples.
services:
  - mysql:5.7

# Set any variables we need
variables:
  # Configure mysql environment variables (https://hub.docker.com/r/_/mysql/)
  MYSQL_DATABASE: root
  MYSQL_ROOT_PASSWORD: toortoor
  DATABASE_URL: mysql://root:toortoor@mysql/Search_teamV2

# Run our tests
# If Xdebug was installed you can generate a coverage report and see code coverage metrics.
test:
  script:
    - vendor/bin/phpunit --coverage-text --colors=never
